تا چهل + پنج درصد تخفیف بر روی محصولات آموزشی در تخفیف های روز به روز توسینسو
23:59:59
+9****+62

تشخیص مشکلات سازگاری در Lint

با سلام و احترام خدمت اساتید عزیز

در کدوم زیر گروه از خروجی Lint  میشه مشکلات مربوط به سازگاری یا همون  Compatibility  رو مشاهده نمود 

به عنوان مثال در کد زیر استفاده از ابزار animator  که فقط از  API 21  به بالا پشتیبانی میشه  و داخل  kitkat  اپمون کرش میکنه  استفاده کردم  .  

int cx = mShowAnswerButton.getWidth() / 2;
int cy = mShowAnswerButton.getHeight() / 2;
float radius = mShowAnswerButton.getWidth();
Animator anim = ViewAnimationUtils.createCircularReveal(mShowAnswerButton, cx, cy, radius, 0);
anim.addListener(new AnimatorListenerAdapter() {
@Override
public void onAnimationEnd(Animator animation) {
super.onAnimationEnd(animation);
mShowAnswerButton.setVisibility(View.INVISIBLE);
}
});
anim.start();
}

و خروجی Lint به صورت زیر می باشد :

 

خروجی  Lint

در کدام زیر گروه مشکلات مربوط به  Compatibility   قرار می گیره ؟

لذت یادگیری با توسینسو
به عنوان شخصی که مدت هاست از سایت توسینسو استفاده می کنم باید بگم که واقعاً یکی از بهترین مرجع ها برای ارتقاء دانش شخصی هست. دوره های سایت، راهکارها و مطالب، همگی عالی هستند.
پاسخ شما
برای ارسال پاسخ خود وارد شوید.
از سرتاسر توسینسو
تنظیمات حریم خصوصی
تائید صرفنظر
×

تو می تونی بهترین نتیجه رو تضمینی با بهترین های ایران بدست بیاری ، پس مقایسه کن و بعد خرید کن : فقط توی جشنواره پاییزه می تونی امروز ارزونتر از فردا خرید کنی ....